This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 186821 - pm-suspend doesn't finish after suspend, eats 100% of CPU
pm-suspend doesn't finish after suspend, eats 100% of CPU
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 16:54 EST by Yaron Minsky
Modified: 2015-03-04 20:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 09:53:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaron Minsky 2006-03-26 16:54:24 EST
Description of problem:

I'm running on a T22 Thinkpad.  If I suspend (using pm-suspend) and then
recover, I don't get back to X, I just stay on the console that I went to after
the suspend.  I can switch back to X using Ctl-Alt-F7.  At that point,
pm-suspend still hasn't returned, and is now eating the entire CPU.  This is
running with what I believe are the latest kernel and pm-utils:

kernel-2.6.15-1.2054_FC5
pm-utils-0.15-1


How reproducible:

100%

Steps to Reproduce:
1. Suspend using pm-suspend
2. Press a key to recover from the suspend
3. Switch back to X
  
Actual results:


Expected results:


Additional info:
Comment 1 Yaron Minsky 2006-03-26 17:03:43 EST
Another potentially intersting detail --- after the suspend, the half-moon icon
on the thinkpad is left flashing.  This suggests that it's in some weird
suspension-related state.
Comment 2 Yaron Minsky 2006-03-26 21:12:31 EST
A slight refinement.  pm-suspend doesn't take over the CPU until you kill it. 
It looks initially like this in ps:

root      6264  0.0  0.5   4448  1388 ?        S    19:49   0:01 /bin/sh
/usr/sbin/pm-suspend

And after you kill it, it looks like this:

root      6264  0.0  0.5   4448  1388 ?        R    19:49   0:04 /bin/sh
/usr/sbin/pm-suspend

And now it eats the entire CPU.  It can't be killed even with kill -9.
Comment 3 Phil Knirsch 2006-09-05 10:38:58 EDT
That sounds like suspend seems to be hanging somehow in the kernel.

Have you tried newer FC5 kernels? Or would you be even able to test the latest
devel kernels and pm-utils from there?

Read ya, Phil
Comment 4 Phil Knirsch 2007-01-23 09:53:47 EST
Closing due to inactivity.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.